Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.ja
Class JapaneseTokenizerFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenizerFactory
              org.apache.lucene.analysis.ja.JapaneseTokenizerFactory

All Implemented Interfaces:
  ResourceLoaderAware

    public class JapaneseTokenizerFactory

extends TokenizerFactory
implements ResourceLoaderAware

Factory for `JapaneseTokenizer`.

     <fieldType name="text_ja" class="solr.TextField">
       <analyzer>
         <tokenizer class="solr.JapaneseTokenizerFactory"
           mode="NORMAL"
           userDictionary="user.txt"
           userDictionaryEncoding="UTF-8"
           discardPunctuation="true"
         />
         <filter class="solr.JapaneseBaseFormFilterFactory"/>
       </analyzer>
     </fieldType>

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

Constructor Summary
`JapaneseTokenizerFactory(Map<String,String> args)` Creates a new JapaneseTokenizerFactory

Method Summary
`JapaneseTokenizer` | `create(AttributeSource.AttributeFactory factory, Reader input)`
`void` | `inform(ResourceLoader loader)`

Methods inherited from class org.apache.lucene.analysis.util.TokenizerFactory
`availableTokenizers, create, forName, lookupClass, reloadTokenizers`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JapaneseTokenizerFactory

    public JapaneseTokenizerFactory(Map<String,String> args)

  Creates a new JapaneseTokenizerFactory

Method Detail

### inform

    public void inform(ResourceLoader loader)
                throws IOException

  Specified by:
    `inform` in interface `ResourceLoaderAware`
  Throws:
    `IOException`

### create

    public JapaneseTokenizer create(AttributeSource.AttributeFactory factory,
                                    Reader input)

  Specified by:
    `create` in class `TokenizerFactory`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.